> ## Documentation Index
> Fetch the complete documentation index at: https://docs.singapay.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Parameters Game Topup

> Retrieve the required parameters (e.g., server ID, username, platform) for a specific game topup product category. Use this before performing a game topup inquiry.



## OpenAPI

````yaml https://biller-b2b.singapay.id/docs post /api/v2/prepaid/get-parameter-game-topup
openapi: 3.0.0
info:
  title: B2B Biller API
  description: >-
    API documentation for the B2B Biller service. Provides endpoints for bill
    payments (postpaid/prepaid), transaction management, balance checking, and
    authentication.
  version: 1.0.0
servers:
  - url: https://sandbox-biller-b2b.singapay.id
    description: Sandbox
  - url: https://biller-b2b.singapay.id
    description: Production
security: []
tags:
  - name: Authentication
    description: OAuth2 token generation
  - name: General
    description: Bill transaction listing, detail, balance, and utilities
  - name: Postpaid V1
    description: Postpaid bill inquiry and payment (V1)
  - name: Prepaid V1
    description: Prepaid inquiry and payment — PLN Token, Pulsa, Paket Data (V1)
  - name: Postpaid V2
    description: Postpaid bill inquiry and payment (V2)
  - name: Prepaid V2
    description: Prepaid inquiry, payment, and game topup (V2)
paths:
  /api/v2/prepaid/get-parameter-game-topup:
    post:
      tags:
        - Prepaid V2
      summary: Get Parameters Game Topup
      description: >-
        Retrieve the required parameters (e.g., server ID, username, platform)
        for a specific game topup product category. Use this before performing a
        game topup inquiry.
      operationId: getParameterGameTopup
      parameters:
        - name: X-PARTNER-ID
          in: header
          description: Your unique partner API key
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - command
                - data
              properties:
                command:
                  type: string
                  enum:
                    - get-parameter-game-topup
                  example: get-parameter-game-topup
                data:
                  required:
                    - category_code
                  properties:
                    category_code:
                      description: >-
                        Product category code (must exist in product_categories
                        table)
                      type: string
                      example: topupg
                  type: object
              type: object
      responses:
        '200':
          description: Parameters retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  command:
                    type: string
                    example: get-parameter-game-topup
                  response_code:
                    type: string
                    example: '00'
                  response_text:
                    type: string
                    example: Operation completed successfully
                  data:
                    description: Game topup parameters for the specified category
                    type: object
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UnauthorizedErrorResponse:
      description: Unauthorized error response (HTTP 401)
      required:
        - status
        - success
        - error
      properties:
        status:
          type: integer
          example: 401
        success:
          type: boolean
          example: false
        error:
          properties:
            code:
              type: integer
              example: 401
            message:
              type: string
              example: Unauthorized merchant, please sign in
          type: object
      type: object
    ValidationErrorResponse:
      description: Validation error response (HTTP 422)
      required:
        - command
        - response_code
        - response_text
        - data
      properties:
        command:
          type: string
          example: detail-bill-transaction
        response_code:
          type: string
          example: '04'
        response_text:
          type: string
          example: Rejected Format Error
        data:
          description: Field-level error messages
          type: object
          example:
            data: The data field is required.
            data.transaction_id: The data.transaction id field is required.
          additionalProperties:
            type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      description: JWT Bearer token obtained from /api/v1.0/access-token/b2b
      bearerFormat: JWT
      scheme: bearer

````